Procedure TestBedDestruction;

var OutP: Text;
    Breusers: Real;
    TestTimeHours, CC: Integer;
    TSK: Real;

begin
   GapSurface[1]:=1;
   NumOfSnaps[1]:=5;
   Construction[1]:=Busy;
   StandLengthProt[1]:=100;
   SnapWidth[1]:=5;
   NumOfGaps:=1;
   OrigTotalGapSurface:=5000;
   GapDepthAtMSL[1]:=1000;

   StaticsOn:=True;
   Assign(OutP, 'BED2');
   ReWrite(OutP);
   BottomD50:=4;
   Chezy:=70;
   StaticAlpha:=2.5;
   StaticVelocityEndBP:=1.3;
   OrigGapDepthAtMSL[1]:=10;
   ClrScr;
   WriteLn(OutP,'   TIME ELAPSED           DEPTH in PROGRAM        DEPTH acc BREUSERS');
   WriteLn(OutP,'=====================================================================');
   for CC:=0 to 13 do
   begin
      TestTimeHours:=CC*10;
      Repeat
	 TSK:=TimeSinceKent;
	 BedDestruction;
      Until TimeSinceKent/3600>=TestTimeHours;
      NumOfKenterings:=5;
      Kentering;
      Breusers:=Power(StaticAlpha*StaticVelocityEndBP-CriticVelocity,1.7)*
		     Power(OrigGapDepthAtMSL[1],0.2)*Power((TSK/3600), 0.4)/
		     (10*Power(Delta,0.7));
      WriteLn(OutP, TSK,'        ',InHoleDepth[1,2],'        ',Breusers);
      AUUC34[1,2]:=0;
      InHoleDepth[1,2]:=0;
      InHoleScour[1,2]:=0;
   end;
   Close(OutP);
   halt;
end;
